/**************************************************/
/** Application Basics Layout                    **/
/**************************************************/

/** BEGIN Basic HTML Controls Layout **/
html
{
    /*overflow-y: hidden; */
    /*height: 100%; --> HANGS IE7 modal pages*/ 
    
    height: 1150px;
    overflow-x: hidden;
}

html, form, body
{    
    overflow-x: hidden;
}

body {
    background-position: center top;
    background-repeat: no-repeat;
    font-size: 11px;
    font-family: Arial, Helvetica, sans-serif;
    padding: 0px 0px 0px 0px;
    color: #000;
    margin: 0px;
    /*height: 100%; --> HANGS IE7 modal pages*/
    height: 1150px;
    overflow-y: hidden;
}

form
{
    text-align: center;
}

table
{
    border:0; padding:0; border-spacing: 0;
}

table td
{
    padding: 0;
}

a:link, a:visited
{
    color: #003776;
   /* text-decoration: none;*/
}

a:link
{
    text-decoration: none;
}

a:hover
{
    text-decoration: underline;
}

a:active
{
    text-decoration: none;
}

a, input, select, img
{    
    outline: 0;
}

p
{
    margin-bottom: 10px;
    line-height: 1.6em;
}

h1
{
    margin: 10px;
    text-indent: 10px;   
    font-family: Arial, Helvetica, sans-serif;
    font-size: 20px;
    width: 490px;
}

h2
{
    margin: 10px;
    text-indent: 10px;   
    font-family: Arial, Helvetica, sans-serif;
    font-size: 16px;
    width: 490px;
}

/** END Basic HTML Controls Layout **/

/* same as .LoadingBox, .LoadingImageBox, .LoadingSpinner, */
.DisabledSiteBlockingBox
{
    position: fixed; 
    width: 100%; 
    height: 100%; 
    top: 0px; 
    left: 0px;
    text-align: center;
}
.LoadingBox, .LoadingImageBox, .LoadingSpinner, .DisabledSiteBlockingBox
{
    position: absolute; 
    vertical-align: middle;
}

/* same as .LoadingBox, */
.DisabledSiteBlockingBox
{
    z-index: 2001;    
    -ms-filter:"progid:DXImageTransform.Microsoft.Alpha(Opacity=30)";
	filter: alpha(opacity=30);
	-moz-opacity:0.3;
	-khtml-opacity: 0.3;
	opacity: 0.3;
    background-color: #EEE;
}
.LoadingBox, .DisabledSiteBlockingBox
{
    z-index: 2003; /* was 2001 */
}

.LoadingBlockingBox, .LoadingImageBox, .LoadingSpinner
{
    position: fixed;    
    width: 100%; 
    height: 100%;    
    top: 0px; 
    left: 0px; 
    text-align: center;
}

.LoadingBlockingBox
{
    z-index: 2001;    
    -ms-filter:"progid:DXImageTransform.Microsoft.Alpha(Opacity=30)";
	filter: alpha(opacity=30);
	-moz-opacity:0.3;
	-khtml-opacity: 0.3;
	opacity: 0.3;
    background-color: #EEE;
}

.LoadingImageBox
{
    z-index: 2002;
    background-position: center;
    background-repeat: no-repeat;
}

.LoadingSpinner
{
    z-index: 2003;   
    background-position: center ;
    background-repeat: no-repeat;
    
    -ms-filter:"progid:DXImageTransform.Microsoft.Alpha(Opacity=30)";
	filter: alpha(opacity=30);
	-moz-opacity:0.3;
	-khtml-opacity: 0.3;
	opacity: 0.3;
    background-color: #EEE;
}

.DisabledSiteBlockingBox
{
    -ms-filter:"progid:DXImageTransform.Microsoft.Alpha(Opacity=70)";
	filter: alpha(opacity=70);
	-moz-opacity:0.7;
	-khtml-opacity: 0.7;
	opacity: 0.7;
}

.DisabledSiteBox
{
    position: absolute;
    z-index: 2002;
    text-align: center;
    vertical-align: middle;
    width: 300px;
    height: 200px;
    margin-left: -150px;
    margin-top: -100px;
    top: 50%;
    left: 50%;
}

.DisabledSiteBox h3
{
    text-align: center;
    margin-bottom: 30px;
}

.DisabledSiteBox p
{
    text-align:center;
}



.NavigationPageBody, 
.NavigationPageBodyBlue, 
.NavigationPageBodyGreen, 
.NavigationPageBodyRed, 
.NavigationPageBodySalmon,
.NavigationPageBodyPurple, 
.NavigationPageBodyYellow, 
.NavigationPageBodyAquamarine, 
.NavigationPageBodyOrange, 
.NavigationPageBodyPink, 
.NavigationPageBodyGray, 
.NavigationPageBodyWhite
{
    width: 100%; 
    position:relative; 
    table-layout: fixed; 
    padding-top: 5px;
}

.NavigationPageBodyBlue
{
    background-color: #0000FF;
}      
.NavigationPageBodyGreen
{
    background-color:#00FF00; 
}     
.NavigationPageBodyRed
{
    background-color:#FF0000;
}    
.NavigationPageBodySalmon
{
    background-color: #FF9463;
}   
.NavigationPageBodyPurple
{
    background-color:#A228FF;
}   
.NavigationPageBodyYellow
{
    background-color:#FFF53D;
}   
.NavigationPageBodyAquamarine
{
    background-color:#66CDAA;
}  
.NavigationPageBodyOrange
{
    background-color:#FF951C;
} 
.NavigationPageBodyPink
{
    background-color:#FFA8B8;
}
.NavigationPageBodyGray
{
    background-color: #C0C0C0;
}
.NavigationPageBodyWhite
{
    background-color:#FFFFFF;
}



/** BEGIN Icons Layout **/
.Transitate24x24 img, .Transitate24x24Inactive img, .Transitate24x24Splitter img,
.Transitate24x24 input[type=image], .Transitate24x24Inactive input[type=image], .Transitate24x24Splitter input[type=image],
.Icon20x20 img, .Icon20x20Inactive img, 
.Icon20x20Splitter img, 
.Icon20x20WithMargin img, .Icon20x20WithMarginInactive img,
.Icon20x20 input[type=image], .Icon20x20Inactive input[type=image], 
.Icon20x20WithMargin input[type=image], .Icon20x20WithMarginInactive input[type=image],
.Icon20x20Splitter input[type=image],
.Icon24x24 img, .Icon24x24MarginRight img, .Icon24x24Inactive img, .Icon24x24InactiveMarginRight img, .Icon24x24Splitter img,
.Icon24x24 input[type=image], .Icon24x24MarginRight input[type=image], .Icon24x24Inactive input[type=image], .Icon24x24InactiveMarginRight input[type=image], .Icon24x24Splitter input[type=image]
{
    float: left;
    display: block;
      
    border-bottom-width: 0px;
    border-top-width: 0px;
    border-right-width: 0px;
    border-left-width: 0px;
}

.Icon20x20WithMargin input[type=image], 
.Icon20x20WithMarginInactive input[type=image]
{
    padding: 1px;
}

.Transitate24x24,
.Icon20x20,
.Icon24x24,
.Icon24x24MarginRight,
.Icon20x20WithMargin
{
    cursor: pointer;
}

.Transitate24x24Inactive, 
.Icon20x20Inactive, .Icon20x20Splitter,
.Icon24x24Inactive, .Icon24x24Splitter,
.Icon24x24InactiveMarginRight,
.Icon20x20WithMarginInactive
{
    cursor: default;
}

.Icon20x20, .Icon20x20Inactive, 
.Icon20x20Splitter, 
.Icon20x20WithMargin, .Icon20x20WithMarginInactive
{
	width: 20px;
	height: 20px;
	padding: 1px 0px 1px 4px;
	background: transparent;
	display: inline;
	position: relative;
}

.Transitate24x24, .Transitate24x24Inactive, .Icon24x24, .Icon24x24MarginRight, .Icon24x24Inactive, .Icon24x24InactiveMarginRight, .Icon24x24Splitter
{
    width: 32px;
    height: 24px;
    padding: 2px 0px 4px 8px;
    background: transparent;
    display: inline;
    position: relative;
}

.Icon20x20Splitter
{
    width: 3px;
    padding: 1px 2px;
}

.Icon24x24Splitter
{
    width: 5px;
    padding: 3px 4px;
}

.Transitate24x24Inactive,
.Icon20x20Inactive, .Icon20x20Inactive input,
.Icon20x20WithMarginInactive, .Icon20x20WithMarginInactive input,
.Icon24x24Inactive,
.Icon24x24InactiveMarginRight
{
	-ms-filter:"progid:DXImageTransform.Microsoft.Alpha(Opacity=70)";
	filter: alpha(opacity=70);
	-moz-opacity:0.7;
	-khtml-opacity: 0.7;
	opacity: 0.7;
}

.Icon20x20Inactive input.aspNetDisabled, 
.Icon20x20WithMarginInactive input.aspNetDisabled
{
    /* In order to show previous image with opacity, the follow can't be done
    display:none;
    visibility:hidden;*/
}

.Transitate24x24, .Transitate24x24Inactive
{
    position: absolute;
    top: 0px;
    right: 0px;
}

/** END Icons Layout **/



.Image20x20
{
    float: right;
}












/* DEFAULTS
----------------------------------------------------------*/




/* PRIMARY LAYOUT ELEMENTS   
----------------------------------------------------------*/

.StageCenter
{
    background-color: #FFF;    
    /* width: 970px; was here but seems useless, set to auto below */
}

.Stage
{
    display: block;
    /*margin: 0px auto 0px auto;*/
    padding: 0px;
    background: #FFF;
}

.Content
{
    border:0; padding:0; border-spacing: 0;
    
    display: block;
    
    /*margin: 0px auto;*/
    min-height: 490px;
    
    border-left: 1px solid transparent;/* #CBD1D6;*/
    border-right: 1px solid transparent;/* #CBD1D6;*/
    border-bottom: 1px solid transparent;/* #CBD1D6;*/
}

.WholesaleContent
{
    display: block;
    padding: 0px;
    
    /*margin: 0px auto;*/
    min-height: 490px;
    
    border-left: none; 
    border-right: none;
    border-bottom: none;
}

/* TAB MENU   
----------------------------------------------------------*/







/* MISC  
----------------------------------------------------------*/

.clear
{
    clear: both;
}



/******************/
/* DIALOG MARGINS */

.DialogBorderTop, .DialogCenter, .StageCenter, .DialogBorderBottom
{
    width: auto;
} 


.DialogTop, .DialogMiddle, .DialogBottom
{
    background: transparent;
}

.DialogMiddle, .DialogCenter, .StageCenter
{
    position: relative;
}

.DialogTop, .DialogBottom, .DialogBorderTop, .DialogBorderBottom,
.DialogCornerTopLeft, .DialogCornerTopRight, .DialogCornerBottomLeft, .DialogCornerBottomRight
{
    line-height: 15px;
    height: 15px;
}

.DialogBorderLeft, .DialogBorderRight,
.DialogCornerTopLeft, .DialogCornerTopRight, .DialogCornerBottomLeft, .DialogCornerBottomRight
{
    width: 15px;
}


.DialogContainer .DialogCenter
{
    background-position: right;
    background-repeat: no-repeat;
    background-color: White;
}


/* ALIGNMENTS */



.AlignCenter
{
    text-align: center;
}

.AlignJustify
{
    text-align: justify;
}

.AlignLeft
{
    text-align: left;
}

.AlignRight
{
    text-align: right;
}


.disableLinks {
   pointer-events: none;
}


.pageErrorContainer .container-expandable-content 
{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.pageErrorContainer .container-expandable-content-header
{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 500px;
    height: 30px;
}

.pageErrorContainer .container-expandable-content-header-title
{
    padding-left: 2.5px;
    padding-right: 2.5px;
    font-size: 0.85em;
    color: dimgrey;
}

.pageErrorContainer .container-expandable-content-header-icon
{
    height: 15px;
    width: 15px;
    padding-left: 2.5px;
    padding-right: 2.5px;
    background-repeat: no-repeat;
    background-position: center center;
}

.pageErrorContainer .container-expandable-content-toggle
{
    display: none;
}


.pageErrorContainer .container-expandable-content-toggle:checked ~ .container-expandable-content-body {
  display: flex;
  margin-bottom: 10px;
}

.pageErrorContainer .container-expandable-content-toggle ~ .container-expandable-content-body {
    display: none;
}

.pageErrorContainer .container-expandable-content-body textarea
{
    width: 500px;
    max-width: 500px;
    min-width: 500px;
    min-height: 80px;
    overflow: auto; 
    resize: vertical;
}